<script setup>
import { useStore } from "vuex";
const store = useStore();

const props = defineProps({
  question: {
    type: Object,
    required: true,
  },
});

let answer = "";

const onChange = (event) => {
  var optionText = event.target.value;
  answer = optionText;
  console.log(optionText);
};
// let displayButton = "ssssss";
const onAnswerClick = async () => {
  // this.style.display = "none";
  // console.log("dis before" + displayButton);
  // this.displayButton = "bbbbbb";
  // addTask();
  // console.log("dis after" + displayButton);
  if (answer == "correct") {
    console.log("check the point value: " + store.state.point);
    await store.dispatch("changePoint");
  }

  //  console.log("test props:" + this.props.point);
  // alert("Your result is");
  // router.push("./profile");
};

//const answerchoices = [...question.incorrect_answers];
// formattedQuestion.answer = Math.floor(math.random() * 3) + 1;
// answerchoices.splice(formattedQuestion.answer - 1, 0, question.correct_answer);

// answerchoices.forEach((choice, index) => {
//   formattedQuestion["choice" + (index + 1)] = choice;
// });

// const onFavouriteClick = async () => {
//   await store.dispatch("addMovieToFavourites", props.movie.id);
// };
</script>

<template>
  <div class="flex shadow rounded mb-3 overflow-hidden">
    <!-- <p>HI-listitem</p> -->
    <div>
      <p>{{ question.question }}</p>
    </div>
    <br />
    <br />
    <div id="app1">
      <input
        type="radio"
        id="ans1"
        name="q"
        value="incorrect"
        @change="onChange($event)"
      />
      <label for="ans1">{{ question.incorrect_answers[0] }}</label
      ><br />
      <input
        type="radio"
        id="ans2"
        name="q"
        value="incorrect"
        @change="onChange($event)"
      />
      <label for="ans2">{{ question.incorrect_answers[1] }}</label
      ><br />
      <input
        type="radio"
        id="ans3"
        name="q"
        value="incorrect"
        @change="onChange($event)"
      />
      <label for="ans3">{{ question.incorrect_answers[2] }}</label
      ><br />
      <input
        type="radio"
        id="ansc"
        name="q"
        value="correct"
        @change="onChange($event)"
      />
      <label for="ansc">{{ question.correct_answer }}</label
      ><br />
    </div>

    <button
      class="h-8 px-4 m-2 text-sm text-indigo-100 transition-colors duration-150 bg-indigo-700 rounded-lg focus:shadow-outline hover:bg-indigo-800"
      v-on:click="onAnswerClick()"
    >
      Answer
    </button>

    <!-- <p>{{ question.formattedQuestion }}</p> -->
    <!-- <p>{{ question.incorrect_answers }}</p> -->

    <!-- <div class="p-3">
      <span>{{ movie.rating }}</span>
      <span class="block text-2xl">{{ movie.title }}</span>
      <p>{{ movie.description }}</p>

    </div> -->
  </div>
</template>
<style>
.min-w-100 {
  min-width: 100px;
}
.not-show {
  display: none;
}
</style>
